Skip to main content

List Reservations

Agent Skill

Automate this endpoint with an AI agent using the 2chat-numbers skill:

npx skills add 2ChatCo/agent-skills -s 2chat-numbers

List all active phone number reservations for your account.

Endpointโ€‹

GET https://api.p.2chat.io/open/numbers/reservations

Authenticationโ€‹

Include your API key in the X-User-API-Key header. Learn more about authentication.

API costโ€‹

1API credit

Each call to this endpoint deducts 1 API credit from your plan's API credit pool.

Parametersโ€‹

No parameters required.

Invocationโ€‹

curl --location --request GET 'https://api.p.2chat.io/open/numbers/reservations' \
--header 'X-User-API-Key: your_api_key_here'

Responseโ€‹

Successโ€‹

{
"success": true,
"data": {
// List of active reservations
}
}

Errorโ€‹

{
"success": false,
"error": true,
"error_message": "Description of what went wrong"
}